Channels
Get Channel
Returns one connected account by its ID. The account also shows its WhatsApp phone numbers or Facebook pages in the endpoints field.
GET
/
api
/
v1
/
channels
/
{channel_id}
Get Channel
curl --request GET \
--url https://app.chatflows.io/api/v1/channels/{channel_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.chatflows.io/api/v1/channels/{channel_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.chatflows.io/api/v1/channels/{channel_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.chatflows.io/api/v1/channels/{channel_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.chatflows.io/api/v1/channels/{channel_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.chatflows.io/api/v1/channels/{channel_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.chatflows.io/api/v1/channels/{channel_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": 1,
"platform": "whatsapp",
"name": "Main WhatsApp Account",
"account_id": "123456789012345",
"status": "active",
"connection_method": "embedded_signup",
"is_default": true,
"connected_at": "2026-01-15T10:00:00+00:00",
"endpoints": [
{
"id": 2,
"identifier": "987654321098765",
"display_name": "+91 98765 43210",
"status": "active",
"is_default": true,
"phone_number_id": "987654321098765",
"display_number": "+91 98765 43210",
"verified_name": "My Store",
"quality_rating": "GREEN",
"throughput_level": "STANDARD"
}
],
"waba_id": "123456789012345",
"business_profile": {
"name": "My Store",
"country": "IN",
"review_status": "approved",
"verification_status": "verified"
},
"mm_lite_status": null,
"phone_numbers": [
{
"id": 2,
"phone_number_id": "987654321098765",
"display_number": "+91 98765 43210",
"verified_name": "My Store",
"quality_rating": "GREEN",
"throughput_level": "STANDARD",
"status": "active",
"is_default": true
}
]
}
}{
"message": "Missing API token.",
"error_code": "unauthenticated",
"status": 401
}{
"message": "Subscription required or expired.",
"error_code": "subscription_required",
"status": 402
}{
"message": "This token is missing the required scope: contacts:write.",
"error_code": "insufficient_scope",
"status": 403
}{
"message": "Channel not found.",
"error_code": "not_found",
"status": 404
}{
"message": "API request quota exhausted for this billing period.",
"error_code": "quota_exhausted",
"status": 429
}Returns
404 if no account has this ID.Authorizations
⌘I
Get Channel
curl --request GET \
--url https://app.chatflows.io/api/v1/channels/{channel_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.chatflows.io/api/v1/channels/{channel_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.chatflows.io/api/v1/channels/{channel_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.chatflows.io/api/v1/channels/{channel_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.chatflows.io/api/v1/channels/{channel_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.chatflows.io/api/v1/channels/{channel_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.chatflows.io/api/v1/channels/{channel_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": 1,
"platform": "whatsapp",
"name": "Main WhatsApp Account",
"account_id": "123456789012345",
"status": "active",
"connection_method": "embedded_signup",
"is_default": true,
"connected_at": "2026-01-15T10:00:00+00:00",
"endpoints": [
{
"id": 2,
"identifier": "987654321098765",
"display_name": "+91 98765 43210",
"status": "active",
"is_default": true,
"phone_number_id": "987654321098765",
"display_number": "+91 98765 43210",
"verified_name": "My Store",
"quality_rating": "GREEN",
"throughput_level": "STANDARD"
}
],
"waba_id": "123456789012345",
"business_profile": {
"name": "My Store",
"country": "IN",
"review_status": "approved",
"verification_status": "verified"
},
"mm_lite_status": null,
"phone_numbers": [
{
"id": 2,
"phone_number_id": "987654321098765",
"display_number": "+91 98765 43210",
"verified_name": "My Store",
"quality_rating": "GREEN",
"throughput_level": "STANDARD",
"status": "active",
"is_default": true
}
]
}
}{
"message": "Missing API token.",
"error_code": "unauthenticated",
"status": 401
}{
"message": "Subscription required or expired.",
"error_code": "subscription_required",
"status": 402
}{
"message": "This token is missing the required scope: contacts:write.",
"error_code": "insufficient_scope",
"status": 403
}{
"message": "Channel not found.",
"error_code": "not_found",
"status": 404
}{
"message": "API request quota exhausted for this billing period.",
"error_code": "quota_exhausted",
"status": 429
}
